Debian Bug report logs - #643858
binutils: linking fails with --gc-sections

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Євгеній Мещеряков <eugen@debian.org>

Date: Fri, 30 Sep 2011 13:36:01 UTC

Severity: normal

Found in version 2.21.53.20110922-1

Fixed in version binutils/2.21.90.20111004-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#643858; Package binutils. (Fri, 30 Sep 2011 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 30 Sep 2011 13:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binutils: linking fails with --gc-sections
Date: Fri, 30 Sep 2011 15:32:29 +0200
Package: binutils
Version: 2.21.53.20110922-1
Severity: normal

It is not possible to link programs with --gc-sections option:

  % cat test.c 
  int main() {}
  % gcc -Wl,--gc-sections test.c
  /usr/bin/ld: a.out: local symbol `_dl_argv@@GLIBC_PRIVATE' in /lib/x86_64-linux-gnu/ld-linux-x86-64.so.2 is referenced by DSO
  /usr/bin/ld: final link failed: Bad value
  collect2: ld returned 1 exit status

This was also discussed in bug log for #642128.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages binutils depends on:
ii  libc6       2.13-21         
ii  libgcc1     1:4.6.1-13      
ii  libstdc++6  4.6.1-13        
ii  zlib1g      1:1.2.3.4.dfsg-3

binutils recommends no packages.

Versions of packages binutils suggests:
ii  binutils-doc  2.21.53.20110922-1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#643858; Package binutils. (Fri, 30 Sep 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 30 Sep 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 643858@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 643858@bugs.debian.org
Subject: Re: binutils: linking fails with --gc-sections
Date: Fri, 30 Sep 2011 16:17:18 +0200
[Message part 1 (text/plain, inline)]
> It is not possible to link programs with --gc-sections option:

I checked with CVS snapshot and the bug is fixed there.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 643858 blocks 643863 Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Fri, 30 Sep 2011 14:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#643858; Package binutils. (Fri, 30 Sep 2011 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Fri, 30 Sep 2011 14:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 643858@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Євгеній Мещеряков <eugen@debian.org>, 643858@bugs.debian.org
Subject: Re: Bug#643858: binutils: linking fails with --gc-sections
Date: Fri, 30 Sep 2011 16:33:21 +0200
On 09/30/2011 04:17 PM, Євгеній Мещеряков wrote:
>> It is not possible to link programs with --gc-sections option:
> 
> I checked with CVS snapshot and the bug is fixed there.

thanks, now finding out which patch to put on the branch.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Tue, 04 Oct 2011 11:48:49 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Tue, 04 Oct 2011 11:48:56 GMT) Full text and rfc822 format available.

Message #22 received at 643858-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 643858-close@bugs.debian.org
Subject: Bug#643858: fixed in binutils 2.21.90.20111004-1
Date: Tue, 04 Oct 2011 11:47:40 +0000
Source: binutils
Source-Version: 2.21.90.20111004-1

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive:

binutils-dev_2.21.90.20111004-1_amd64.deb
  to main/b/binutils/binutils-dev_2.21.90.20111004-1_amd64.deb
binutils-doc_2.21.90.20111004-1_all.deb
  to main/b/binutils/binutils-doc_2.21.90.20111004-1_all.deb
binutils-gold_2.21.90.20111004-1_amd64.deb
  to main/b/binutils/binutils-gold_2.21.90.20111004-1_amd64.deb
binutils-multiarch_2.21.90.20111004-1_amd64.deb
  to main/b/binutils/binutils-multiarch_2.21.90.20111004-1_amd64.deb
binutils-source_2.21.90.20111004-1_all.deb
  to main/b/binutils/binutils-source_2.21.90.20111004-1_all.deb
binutils_2.21.90.20111004-1.diff.gz
  to main/b/binutils/binutils_2.21.90.20111004-1.diff.gz
binutils_2.21.90.20111004-1.dsc
  to main/b/binutils/binutils_2.21.90.20111004-1.dsc
binutils_2.21.90.20111004-1_amd64.deb
  to main/b/binutils/binutils_2.21.90.20111004-1_amd64.deb
binutils_2.21.90.20111004.orig.tar.gz
  to main/b/binutils/binutils_2.21.90.20111004.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Oct 2011 12:12:16 +0200
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: source all amd64
Version: 2.21.90.20111004-1
Distribution: unstable
Urgency: medium
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 binutils   - The GNU assembler, linker and binary utilities
 binutils-dev - The GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - The (experimental) GNU gold linker utility
 binutils-hppa64 - The GNU assembler, linker and binary utilities targeted for hppa6
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - The GNU assembler, linker and binary utilities (source)
 binutils-spu - The GNU assembler, linker and binary utilities targeted for spu-e
Closes: 643858 644183
Changes: 
 binutils (2.21.90.20111004-1) unstable; urgency=medium
 .
   * Snapshot, taken from the binutils-2_22-branch 20111004.
   * Fix PR ld/13195, taken from the trunk. Closes: #643858, #644183.
Checksums-Sha1: 
 f09df4b16612a911d198dbe948fd2a77f15a23c7 1771 binutils_2.21.90.20111004-1.dsc
 45e5f71a7378322420fa23c564003b0e2ef9a1d3 24282225 binutils_2.21.90.20111004.orig.tar.gz
 789993b949960dcb6a9e71be9417cf1625e45027 70802 binutils_2.21.90.20111004-1.diff.gz
 8b64eefa028c9d79cd371c94fca554b2538fd649 580912 binutils-doc_2.21.90.20111004-1_all.deb
 4e3de2302c2991dcad1ef177ba8e941813f48f5d 14115634 binutils-source_2.21.90.20111004-1_all.deb
 a09a92e0672cdf93b75f2c0c152231b2560cdeb2 4845624 binutils_2.21.90.20111004-1_amd64.deb
 34d169b41a7615a4b16421d12892eca952733b5b 4256148 binutils-dev_2.21.90.20111004-1_amd64.deb
 6226f22fff34a046b3f2ccfdba26bd15f33499cb 2210702 binutils-multiarch_2.21.90.20111004-1_amd64.deb
 207fdcca4db9afd739ac7a8525642c3dd3bb2353 1486 binutils-gold_2.21.90.20111004-1_amd64.deb
Checksums-Sha256: 
 8925a8da52786175c7490cfc844941c84f7fd58fcfd3a374a6aaba9c644092e5 1771 binutils_2.21.90.20111004-1.dsc
 947da4abd824288e905946d4117cdb4bc2252c9e9e1d3141d6b3d9111df4a39b 24282225 binutils_2.21.90.20111004.orig.tar.gz
 04f2906ab26b347475f2d457b1e6c478b09911b7219a231f3ec52d77529e9405 70802 binutils_2.21.90.20111004-1.diff.gz
 0e644e45c90215361f345e040d4bb1defe11745c4f7059a3b9702fdc898f275a 580912 binutils-doc_2.21.90.20111004-1_all.deb
 a33a20bdf0753d4cfb5c374ca69eed39785731799e985a197c675b8682d124bc 14115634 binutils-source_2.21.90.20111004-1_all.deb
 74156e8c0f6e399c283711de715ac06e6b2657e7dacea5631927453862c3943a 4845624 binutils_2.21.90.20111004-1_amd64.deb
 43255b8b818a3c33b744124a4f045fc83a6b96fe0371da9818f1416f090ed899 4256148 binutils-dev_2.21.90.20111004-1_amd64.deb
 b7e6627fba4eee8a0e47a8fac454a4551d7a3c9a8599264dd9600cc0bba4e111 2210702 binutils-multiarch_2.21.90.20111004-1_amd64.deb
 9a2b355da92bea4e714b397e83548c360a3c30bb029f1b64bf3f5f5c405133d3 1486 binutils-gold_2.21.90.20111004-1_amd64.deb
Files: 
 8f996143d155e5199385307bc4d398a3 1771 devel optional binutils_2.21.90.20111004-1.dsc
 f7c952b7ba7e192295cd6df57123e518 24282225 devel optional binutils_2.21.90.20111004.orig.tar.gz
 299aca716b17c5ed4f659b98dc4760f5 70802 devel optional binutils_2.21.90.20111004-1.diff.gz
 0d9afba931216f21f038134c443eade5 580912 doc optional binutils-doc_2.21.90.20111004-1_all.deb
 b52f2af91acc7a30e8b9863c32eec772 14115634 devel optional binutils-source_2.21.90.20111004-1_all.deb
 b268207369f74800a9767d38ab370359 4845624 devel optional binutils_2.21.90.20111004-1_amd64.deb
 ea87b43f8477cc4e41d0f8d9e63602cd 4256148 devel extra binutils-dev_2.21.90.20111004-1_amd64.deb
 0b99a333f46b2e09ec12fc4344c4900b 2210702 devel extra binutils-multiarch_2.21.90.20111004-1_amd64.deb
 4895f6fa6947af3cc8fb85964e4022df 1486 devel extra binutils-gold_2.21.90.20111004-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6K7hUACgkQStlRaw+TLJyv6gCghFeqDMUDA5JoNpfOIE+L8WPn
Uk4An1RDidDFz3eMDyV1w+0H2pI2oIZg
=hff5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Nov 2011 07:37:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:19:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.